ReferenceHTTP API
Human review
Query Parameters
agent_id?string
Filter by agent id
policy_id?string
Filter by policy id
run_kind?string
Filter by run kind
workflow_step?string
Filter by workflow step
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/analytics/human-review"{ "by_agent": [ { "group": "string", "human_intervention_count": 0, "human_review_count": 0 } ], "by_policy": [ { "corrected_count": 0, "escalation_count": 0, "false_positive_count": 0, "policy_id": "string" } ], "by_run_kind": [ { "group": "string", "human_intervention_count": 0, "human_review_count": 0 } ], "by_workflow_step": [ { "corrected_count": 0, "false_positive_count": 0, "human_review_count": 0, "rejected_count": 0, "workflow_step": "string" } ], "outcomes": { "accepted_count": 0, "corrected_count": 0, "false_positive_count": 0, "ignored_count": 0, "missed_issue_count": 0, "rejected_count": 0 }, "summary": { "automated_intervention_count": 0, "false_positive_rate": 0.1, "human_intervention_count": 0, "human_intervention_rate": 0.1, "human_review_count": 0, "trace_count": 0 }, "top_reasons": [ { "count": 0, "reason_code": "string" } ]}Path Parameters
trace_id*string
Decision trace id
Query Parameters
limit?integer
Maximum events to return, capped at 100
Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/traces/string/review-events"{ "review_events": [ { "created_at": "string", "id": "string", "metadata": null, "note": "string", "outcome": "accepted", "reason_codes": [ "string" ], "reviewer_id": "string", "run_event_id": "string", "run_id": "string", "trace_id": "string", "workspace_id": "string" } ]}Path Parameters
trace_id*string
Decision trace id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/traces/string/review-events" \ -H "Content-Type: application/json" \ -d '{ "outcome": "accepted" }'{ "created_at": "string", "id": "string", "metadata": null, "note": "string", "outcome": "accepted", "reason_codes": [ "string" ], "reviewer_id": "string", "run_event_id": "string", "run_id": "string", "trace_id": "string", "workspace_id": "string"}